Subject: [PATCH 2/3] arm64: Add Kconfig option for Samsung GH7 SoC family

From: [email-masked] (Kukjin Kim)
Date: Tue, 25 Feb 2014 09:19:42 +0900

On 02/21/14 03:58, Catalin Marinas wrote:
> On Thu, Feb 20, 2014 at 05:09:59PM +0000, Olof Johansson wrote:
>> On Thu, Feb 20, 2014 at 3:22 AM, Catalin Marinas
>>> Two additional points:
>>>
>>> 1. Single arm64 defconfig file covering everything
>>> 2. Modules rather than built-in by default where possible (especially
>>>     for server platforms)
>>
>> Sounds good to me. Are you also willing to pick up one defconfig per
>> vendor (but not more)? I think it's been useful to have those on arm,
>> even on multiplatform kernels. We used them on powerpc as well, where
>> we had a two-layer approach (ppc64_defconfig and per-platform configs,
>> pseries/iseries/pasemi/g5/cell).
>
> Initially I would keep a single defconfig with everything just to get
> wider coverage of single Image. Later on, if just deselecting config
> entries doesn't work, we can revisit per-vendor defconfigs.
>
OK, agreed with single defconfig on ARMv8 for now. And as Olof said, 
it's expected that each vendor maybe needs to use per-vendor defconfig 
soon and agreed too :-)

Thanks,
Kukjin